Package ru.bitel.bgbilling.modules.hd.server.task

# Class ZoneTaskUtils

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.task.ZoneTaskUtils

public class ZoneTaskUtils extends Object
Утильный класс для задач планировщика для работы с зонами. Методы класса создают файлы зон, мастер-файл, удаляют временные файлы зон, разбирают конфиг на составляющие и тд

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ZONE_TMP_DIR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZoneTaskUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `createMasterFile(List<Zone> zoneList)`
  Метод создает файл, который потом на сервере подключится к файлу named.conf.
  `static void`
  `createZoneFile(Zone zone, Map<String,String> zoneFields)`
  Создание файла зоны для последующей отправки на сервер
  `static void`
  `deleteTempFiles()`
  Метод удаляет врменный каталог .bgbilling/tmp/ и все файлы зон, содержащиеся в нем, после того, как они были загружены на сервер
  `static void`
  `executeScript(String command)`
  Метод запускает указанную команду
  `static Map<String,String>`
  `getZoneContent(String config)`
  Извлечение полей зоны из строки конфигурации
  `static void`
  `setExecutable(String scriptFile)`
  Метод устанавливает права запуска для файлов скриптов

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ZONE_TMP_DIR

    public static String ZONE_TMP_DIR

- ## Constructor Details

  - ### ZoneTaskUtils

    public ZoneTaskUtils()

- ## Method Details

  - ### createZoneFile

    public static void createZoneFile(Zone zone, Map<String,String> zoneFields)
    Создание файла зоны для последующей отправки на сервер
    Parameters:
      `zone` - зона, для которой будет создаваться файл

  - ### createMasterFile

    public static void createMasterFile(List<Zone> zoneList)
    Метод создает файл, который потом на сервере подключится к файлу named.conf. В этом файле содержится список зон и ссылки на файлы, где расположена информация по указанной зоне

  - ### deleteTempFiles

    public static void deleteTempFiles()
    Метод удаляет врменный каталог .bgbilling/tmp/ и все файлы зон, содержащиеся в нем, после того, как они были загружены на сервер

  - ### getZoneContent

    public static Map<String,String> getZoneContent(String config)
    Извлечение полей зоны из строки конфигурации
    Parameters:
      `config` - строка с конфигурацией зоны

  - ### executeScript

    public static void executeScript(String command)
    Метод запускает указанную команду
    Parameters:
      `command` - строка запуска команды

  - ### setExecutable

    public static void setExecutable(String scriptFile)
    Метод устанавливает права запуска для файлов скриптов
    Parameters:
      `scriptFile` - путь до файла скрипта